open Graphics ;;

Random.self_init () ;;

let mainloop () =
  open_graph Csts.open_string ;
  set_window_title "Maeth";
  while true do 
    auto_synchronize false ;
    clear_graph () ;
    Menus.print_current_interface () ;
    auto_synchronize true ;
    Menus.action_on_interface () ;
    Unix.sleepf Csts.sleep_d
  done ;;

mainloop () ;;